Bug 60888 - 'automatically obtain DNS info' stuck on
'automatically obtain DNS info' stuck on
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Depends On:
Blocks: 61901
  Show dependency treegraph
Reported: 2002-03-08 07:02 EST by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-11 20:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-03-08 07:02:38 EST
Description of Problem:
I can't tell redhat-config-network to leave my /etc/resolv.conf alone.

I have two network cards, eth0 and eth1.  I run a name server, which knows all
about the DNS of my ISP.  In /etc/resolv.conf I just have 'nameserver <local IP>'.

In redhat-config-network when I go to 'Devices', choose either eth0 or eth1
(it's the same with both), click Edit, go to 'Protocols', highlight 'TCP/IP',
click 'Edit', then click 'Hostname', I just get this:

X Automatically obtain DNS information from provider

Setting the hostname and unchecking the box is ignored when applying the changes
and restarting the application.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Devices.
2. Edit.
3. Protocols.
4. TCP/IP.
5. Edit.
6. Hostname.
7. Change settings.
8. OK
9. OK
10. Apply.
11. Close.
12. Restart.

(Presumably the result of this is the bad effect I am seeing: my
/etc/resolv.conf gets overwritten.)
Comment 1 Harald Hoyer 2002-04-03 04:33:46 EST
should be fixed in 0.9.22
Comment 2 Trond Eivind Glomsrxd 2002-04-11 20:39:15 EDT
Is this stil a problem with version 0.9.24 at http://people.redhat.com/teg/neat/ ?
Comment 3 Tim Waugh 2002-05-02 11:05:10 EDT
No, it works as expected now.

Note You need to log in before you can comment on or make changes to this bug.